MARKDOWN_PY(1)

NAME
markdown_py - a Python implementation of John Gruber's Markdown.

SYNOPSIS
markdown_py [options] [INPUT_FILE]
    (STDIN is assumed if no INPUT_FILE is given)

DESCRIPTION
Command-line Markdown compiler based on python-markdown module, with extensions support.

OPTIONS

--version
    Show program's version number and exit.

-h, --help
    Show the help message and exit.

-f OUTPUT_FILE, --file=OUTPUT_FILE
    Write output to OUTPUT_FILE. Defaults to STDOUT.

-e ENCODING, --encoding=ENCODING
    Encoding for input and output files.

-q, --quiet
    Suppress all warnings.

-v, --verbose
    Print all warnings.

-s SAFE_MODE, --safe=SAFE_MODE
    'replace', 'remove' or 'escape' HTML tags in input.

-o OUTPUT_FORMAT, --output_format=OUTPUT_FORMAT
    'xhtml1' (default), 'html4' or 'html5'.

--noisy
    Print debug messages.

-x EXTENSION, --extension=EXTENSION
    Load extension EXTENSION.

-n, --no_lazy_ol
    Observe number of first item of ordered lists.